Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.impl

# Class ServiceParameterBufferImp

java.lang.Object
org.firebirdsql.gds.impl.ParameterBufferBase
org.firebirdsql.gds.impl.ServiceParameterBufferImp

All Implemented Interfaces:
  `Serializable`, `Iterable<Parameter>`, `ConnectionParameterBuffer`, `ParameterBuffer`, `ServiceParameterBuffer`

public class ServiceParameterBufferImp extends ParameterBufferBase implements ServiceParameterBuffer
Implementation of ServiceParameterBuffer.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `ServiceParameterBufferImp.SpbMetaData`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceParameterBufferImp(ServiceParameterBufferImp.SpbMetaData spbMetaData, Encoding defaultEncoding)`
  Creates an empty service parameter buffer

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ParameterTagMapping`
  `getTagMapping()`

  ### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

  `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, findFirst, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

  `getDefaultEncoding`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

  ### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

  `addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

- ## Constructor Details

  - ### ServiceParameterBufferImp

    public ServiceParameterBufferImp(ServiceParameterBufferImp.SpbMetaData spbMetaData, Encoding defaultEncoding)
    Creates an empty service parameter buffer

- ## Method Details

  - ### getTagMapping

    public ParameterTagMapping getTagMapping()
    Specified by:
      `getTagMapping` in interface `ConnectionParameterBuffer`
    Returns:
      The tag mapping.